com.unitech.lib.uhf.types

## Enum FreqSwitchingMode

- java.lang.Object
- - java.lang.Enum<FreqSwitchingMode>
  - - com.unitech.lib.uhf.types.FreqSwitchingMode

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<FreqSwitchingMode>

      public enum FreqSwitchingMode
      extends Enum<FreqSwitchingMode>
      implements IEnumType

  Enum representing the frequency switching modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NonStop`
    `Stop`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `String` | `toString()` Return the name of the enum
    `static FreqSwitchingMode` | `valueOf(int code)`
    `static FreqSwitchingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FreqSwitchingMode` | `valueOfName(String name)`
    `static FreqSwitchingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Stop

          public static final FreqSwitchingMode Stop

    - #### NonStop

          public static final FreqSwitchingMode NonStop

  - ### Method Detail

    - #### values

          public static FreqSwitchingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FreqSwitchingMode c : FreqSwitchingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FreqSwitchingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<FreqSwitchingMode>`
      Returns:
        The name of the enum

    - #### valueOf

          public static FreqSwitchingMode valueOf(int code)

    - #### valueOfName

          public static FreqSwitchingMode valueOfName(String name)